Bug 171024 - [MAINTAINER-UPDATE] dns/knot: update to 1.1.0rc2
[MAINTAINER-UPDATE] dns/knot: update to 1.1.0rc2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Raphael Kubo da Costa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 13:30 UTC by freebsd
Modified: 2012-08-27 03:20 UTC (History)
0 users

See Also:


Attachments
file.diff (829 bytes, patch)
2012-08-25 13:30 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-08-25 13:30:04 UTC

Fix: Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-08-26 17:18:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rakuco

I'll take it.
Comment 2 Raphael Kubo da Costa freebsd_committer 2012-08-26 17:26:39 UTC
Hi,

Running `port test' here to check the update showed a few problems. It'd
be nice if you could fix them with this updated:

 o DISTNAME should be set after CATEGORIES and MASTER_SITES
 o The port seems to install info/knot.info and knot.conf.8 which are
   not listed in the plist.
Comment 3 dfilter freebsd_committer 2012-08-27 03:11:24 UTC
Author: rakuco
Date: Mon Aug 27 02:11:10 2012
New Revision: 303214
URL: http://svn.freebsd.org/changeset/ports/303214

Log:
  Update to 1.1.0rc2.
  
  PR:		ports/171024
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)

Modified:
  head/dns/knot/Makefile
  head/dns/knot/distinfo

Modified: head/dns/knot/Makefile
==============================================================================
--- head/dns/knot/Makefile	Mon Aug 27 00:45:55 2012	(r303213)
+++ head/dns/knot/Makefile	Mon Aug 27 02:11:10 2012	(r303214)
@@ -6,10 +6,11 @@
 #
 
 PORTNAME=	knot
-PORTVERSION=	1.0.6
+PORTVERSION=	1.1.0r2
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://public.nic.cz/files/knot-dns/ \
 		http://www.dns-lab.com/downloads/knot-dns/
+DISTNAME=	${PORTNAME}-1.1.0-rc2
 
 MAINTAINER=	freebsd@dns-lab.com
 COMMENT=	Knot DNS is a high performance authoritative-only DNS server
@@ -36,7 +37,9 @@ SUB_FILES=	pkg-message
 
 USE_RC_SUBR=	${PORTNAME}d
 
-MAN8=		knotc.8 knotd.8
+MAN8=		knot.conf.8 knotc.8 knotd.8
+
+INFO=		knot
 
 PORTDOCS=	AUTHORS ChangeLog CodingStyle COPYING \
 		INSTALL KNOWN_ISSUES NEWS README RELNOTES

Modified: head/dns/knot/distinfo
==============================================================================
--- head/dns/knot/distinfo	Mon Aug 27 00:45:55 2012	(r303213)
+++ head/dns/knot/distinfo	Mon Aug 27 02:11:10 2012	(r303214)
@@ -1,2 +1,2 @@
-SHA256 (knot-1.0.6.tar.gz) = baa4e086372015e233ff90cf72ef06e18513b8f2b17196684b6718aa7854f028
-SIZE (knot-1.0.6.tar.gz) = 1065751
+SHA256 (knot-1.1.0-rc2.tar.gz) = a402e70f57a1abb0b2f45903366a1477004da095592a379df07089c67e301b36
+SIZE (knot-1.1.0-rc2.tar.gz) = 1198785
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2012-08-27 03:11:39 UTC
State Changed
From-To: open->closed

Committed the version you sent me via private mail. Thanks!